
orderMenuSiloCheatEvent = {}
orderMenuSiloCheatEvent_mt = Class(orderMenuSiloCheatEvent, Event)
InitEventClass(orderMenuSiloCheatEvent, "orderMenuSiloCheatEvent")

function orderMenuSiloCheatEvent:emptyNew()
    local self = Event:new(orderMenuSiloCheatEvent_mt)
    return self
end

function orderMenuSiloCheatEvent:new(fillTypeIndex, volumeToAdd, farmId, x1, y1, z1, x2, y2, z2, pileFillTypePrice)
    local self = orderMenuSiloCheatEvent:emptyNew()

    self.fillTypeIndex = fillTypeIndex
    self.volumeToAdd = volumeToAdd
    self.farmId = farmId
	self.x1 = x1
	self.y1 = y1
	self.z1 = z1
	self.x2 = x2
	self.y2 = y2
	self.z2 = z2
	self.pileFillTypePrice = pileFillTypePrice

    return self
end

function orderMenuSiloCheatEvent:readStream(streamId, connection)
    local fillTypeIndex = streamReadUIntN(streamId, FillTypeManager.SEND_NUM_BITS)
    local volumeToAdd = streamReadInt32(streamId)
    local farmId = streamReadUIntN(streamId, FarmManager.FARM_ID_SEND_NUM_BITS)
	local x1 = streamReadInt32(streamId)
	local y1 = streamReadInt32(streamId)
	local z1 = streamReadInt32(streamId)
	local x2 = streamReadInt32(streamId)
	local y2 = streamReadInt32(streamId)
	local z2 = streamReadInt32(streamId)
	local pileFillTypePrice = streamReadFloat32(streamId)

    if g_orderMenu ~= nil then
        if g_currentMission:getIsServer() then
            result = orderMenuGeneralFrame:dropIt(fillTypeIndex, volumeToAdd, farmId, x1, y1, z1, x2, y2, z2, pileFillTypePrice)
        else
        end
    end
end

function orderMenuSiloCheatEvent:writeStream(streamId, connection)
    streamWriteUIntN(streamId, self.fillTypeIndex, FillTypeManager.SEND_NUM_BITS)
    streamWriteInt32(streamId, self.volumeToAdd)
    streamWriteUIntN(streamId, self.farmId, FarmManager.FARM_ID_SEND_NUM_BITS)
	streamWriteInt32(streamId, self.x1)
	streamWriteInt32(streamId, self.y1)
	streamWriteInt32(streamId, self.z1)
	streamWriteInt32(streamId, self.x2)
	streamWriteInt32(streamId, self.y2)
	streamWriteInt32(streamId, self.z2)
	streamWriteFloat32(streamId, self.pileFillTypePrice)
end
